webOS Nation Forums >  webOS Devices >  Palm Pixi and Pixi Plus > webOS 2.1.0 Doctor for PixiPlus on Verizon, AT&T, and WR (ROW)/Pixi on Sprint!
webOS 2.1.0 Doctor for PixiPlus on Verizon, AT&T, and WR (ROW)/Pixi on Sprint!
  Reply
Like Tree8Likes

 
Thread Tools Display Modes
Old 09/26/2012, 11:45 AM   #261 (permalink)
Member
 
Shadowflank's Avatar
 
Posts: 159
Quote:
Originally Posted by John Steffes View Post
As Open webOS was released to beta, one can compile the components for armv6, copy the binary to the Pixi/PixiPlus, but as Open webOS does not do anything at this time, there is no point at the time.

There was also attempts to bring LunaCE to other devices but it needs other webOS 3.0.5 components (which some are part of Open webOS).

I will wait at this time to see what shakes out with the release of 1.0 to make up my mind... But one could attempt a swap build...
I could compile a system image for the pixi for open webos with wifi and more than likely full support for other components. I've toyed around with the internals and gotten a few hardware details, but other than that I haven't bothered much.

I'm waiting for a stable release to toy with it.

-- Sent from my Palm Pixi using Forums
__________________
Proud user of a Palm Pre+ on T-Mobile running 1.4.5 in New Orleans, Louisiana
--
Need some help getting Odamex on WebOS
Remember the bombardment of letters WebOS users hopefully sent to HP? Well, we need you again loyal users. Click and sign to entertain the slight notion of this petition reaching LG. The numbers rise daily, we need to keep going! Even if its slim to none, its better than doing nothing and complaining!
Shadowflank is offline   Reply With Quote
Old 01/22/2013, 10:29 PM   #262 (permalink)
Member
 
Posts: 178
i thought i was following everything correctly but i keep receiving this error

parallels@parallels-Parallels-Virtual-Platform:~/meta-doctor$ ./scripts/build-att-pixiplus-2.1.0
Due to changes made to HP Cloud Services, this script may no longer work.
make: *** No rule to make target `settings'. Stop.

Your custom doctor file will be created at build/build-att-pixiplus-2.1.0/webosdoctorp121ewwatt-2.1.0.jar

Unpacking if needed webOS Doctors
make: *** No rule to make target `unpack'. Stop.

I downloaded all of the files from the original webos 2.1 on the palm pixi thread, i stuck the new revised scripts into the scripts folder according to this thread, and this is the message i receive when i run the first script. can anyone please help!!!
__________________


moto tacstar => kyocera k9 => samsung a460 => samsung n400 => nokia 3588i => samsung a920 => samsung a800 => samsung a940 => lg fusic => samsung instinct => pixi => pre => arrive => nexus s => veer => pre 2 =>pre 3 => hd7 => iphone 4s => nokia lumia 710 => nokia lumia 800 => samsung gs3 => blackberry bold 9650 => nokia lumia 900
mcbeaven is offline   Reply With Quote
Old 01/23/2013, 08:06 AM   #263 (permalink)
Member
 
Posts: 1,579
Quote:
Originally Posted by smcbeaven View Post
i thought i was following everything correctly but i keep receiving this error

parallels@parallels-Parallels-Virtual-Platform:~/meta-doctor$ ./scripts/build-att-pixiplus-2.1.0
Due to changes made to HP Cloud Services, this script may no longer work.
make: *** No rule to make target `settings'. Stop.

Your custom doctor file will be created at build/build-att-pixiplus-2.1.0/webosdoctorp121ewwatt-2.1.0.jar

Unpacking if needed webOS Doctors
make: *** No rule to make target `unpack'. Stop.

I downloaded all of the files from the original webos 2.1 on the palm pixi thread, i stuck the new revised scripts into the scripts folder according to this thread, and this is the message i receive when i run the first script. can anyone please help!!!
Without seeing the error or knowing your environment, I do not use Parallels, but use the MAC instead, (as it is based on UNIX, I do use Virtual Box (SDK), and VMWare Fusion) seems the error is based on the MAKEFILE not being used correctly.

Assume you followed the metadoctor:Application install, a quick ls of the directory, what environment are you in?
John Steffes is offline   Reply With Quote
Liked by smcbeaven likes this.
Thanked By: smcbeaven
Old 01/23/2013, 09:46 AM   #264 (permalink)
Member
 
Posts: 178
Quote:
Originally Posted by John Steffes View Post
Without seeing the error or knowing your environment, I do not use Parallels, but use the MAC instead, (as it is based on UNIX, I do use Virtual Box (SDK), and VMWare Fusion) seems the error is based on the MAKEFILE not being used correctly.

Assume you followed the metadoctor:Application install, a quick ls of the directory, what environment are you in?
Thanks so much for the reply, I really appreciate it, i really thought i was never going to get a response, or any help because of the age of the thread. So, thank you so much for helping me.

when i ls the metadoctor directory this is what i get

mcbeav@ubuntu:~/meta-doctor$ ls
downloads fixi.tgz patches scripts
e4014e63a755ac02a63478047ad21d7e.tgz Makefile README


I am running ubuntu 10.04 inside of Parallels 7 on an 11 inch Macbook Air. The Macbook is running OS X Mountain Lion. I am running the 32 bit version of ubuntu. ( Originally i tried this on 12.04 64 bit version of Ubuntu, but i removed that from parallels and am now trying in 10.04 32 bit. )

I have novacom installed
Java 7 is installed
I downloaded the Makefile from Nutty's This Is It. webOS 2.1 On the Palm Pixi Plus Wordpress tutorial.
I have all of the files in the correct place.
I downloaded the scripts from this post and replaced the scripts in meta-doctor with the scripts from this post
I have fixi.tgz, e4014e63a755ac02a63478047ad21d7e.tgz, and Makefile in the root of the meta-doctor directory,
i have the palm pixi plus ATT 1.4.5 doctor in the meta-doctor/downloads directory

i first start by running ./scripts/build-wr-pixiplus-2.1.0
it downloads what looks like all the required doctors, and at the end i recieve this

Unpacking if needed webOS Doctors
make: *** No rule to make target `unpack'. Stop.

I am not sure why, or what is wrong with the Makefile, but I am getting it from Nutty's site. Is there a new Makefile, or am I supposed to make changes to the Makefile?
__________________


moto tacstar => kyocera k9 => samsung a460 => samsung n400 => nokia 3588i => samsung a920 => samsung a800 => samsung a940 => lg fusic => samsung instinct => pixi => pre => arrive => nexus s => veer => pre 2 =>pre 3 => hd7 => iphone 4s => nokia lumia 710 => nokia lumia 800 => samsung gs3 => blackberry bold 9650 => nokia lumia 900
mcbeaven is offline   Reply With Quote
Old 01/23/2013, 06:40 PM   #265 (permalink)
Member
 
Posts: 1,579
Quote:
Originally Posted by smcbeaven View Post
Thanks so much for the reply, I really appreciate it, i really thought i was never going to get a response, or any help because of the age of the thread. So, thank you so much for helping me.

when i ls the metadoctor directory this is what i get

mcbeav@ubuntu:~/meta-doctor$ ls
downloads fixi.tgz patches scripts
e4014e63a755ac02a63478047ad21d7e.tgz Makefile README


I am running ubuntu 10.04 inside of Parallels 7 on an 11 inch Macbook Air. The Macbook is running OS X Mountain Lion. I am running the 32 bit version of ubuntu. ( Originally i tried this on 12.04 64 bit version of Ubuntu, but i removed that from parallels and am now trying in 10.04 32 bit. )

I have novacom installed
Java 7 is installed
I downloaded the Makefile from Nutty's This Is It. webOS 2.1 On the Palm Pixi Plus Wordpress tutorial.
I have all of the files in the correct place.
I downloaded the scripts from this post and replaced the scripts in meta-doctor with the scripts from this post
I have fixi.tgz, e4014e63a755ac02a63478047ad21d7e.tgz, and Makefile in the root of the meta-doctor directory,
i have the palm pixi plus ATT 1.4.5 doctor in the meta-doctor/downloads directory

i first start by running ./scripts/build-wr-pixiplus-2.1.0
it downloads what looks like all the required doctors, and at the end i recieve this

Unpacking if needed webOS Doctors
make: *** No rule to make target `unpack'. Stop.

I am not sure why, or what is wrong with the Makefile, but I am getting it from Nutty's site. Is there a new Makefile, or am I supposed to make changes to the Makefile?
Thanks for explaining what you did...

You followed Nuttybunny's page, then tried a metadoctor script...

Application:MetaDoctor - WebOS Internals

follow the above link to download from github all the scripts, then follow the first post in this thread. Once that is done a doctor will be made....

if you need more help just tell me what you did just like above and a ls listing...
John Steffes is offline   Reply With Quote
Liked by smcbeaven likes this.
Thanked By: smcbeaven
Old 01/24/2013, 11:05 AM   #266 (permalink)
Member
 
Posts: 178
Quote:
Originally Posted by John Steffes View Post
Thanks for explaining what you did...

You followed Nuttybunny's page, then tried a metadoctor script...

Application:MetaDoctor - WebOS Internals

follow the above link to download from github all the scripts, then follow the first post in this thread. Once that is done a doctor will be made....

if you need more help just tell me what you did just like above and a ls listing...
Thanks, i guess i misunderstood the original post

So, I reinstalled Ubuntu 10.04 under a Parallels virtual machine.
I am still running Parallels in Mac OS X Mountain Lion

I installed Java 7
I installed Novacom Drivers
Installed Git

I then cloned the meta-doctor files

I then ran the script
./scripts/build-att-pixiplus-2.1.0
It went through the motions of downloading all of the doctors and it came to a point where it told me to create the directory 210 under pixiplus-p121eww-att-1.4.5

Next I mkdir -p pixiplus-p121eww-att-1.4.5/210
then i re-ran the script
once again it repeated the issue and told me i needed to create the directory 210, and everytime i run the first script it just keeps telling me to create the directory
the directory exists, I can't get past that part, below is what happens.


mcbeav@mcbeav-laptop:~/meta-doctor$ ./scripts/build-att-pixiplus-2.1.0
Due to changes made to HP Cloud Services, this script may no longer work.
DEVICE = pixiplus
CARRIER = att
VERSION = 1.4.5
CUSTOM_WEBOS_TARBALL = webOS.tar
CUSTOM_CARRIER_TARBALL = carrier.tar
CUSTOM_XML = pixie.xml
CUSTOM_BUILD_INFO = palm-build-info
CUSTOM_WEBOS_DMSET = 312
CUSTOM_CARRIER_DMSET = 674
CUSTOM_BOOTLOGO = scripts/BootLogo.tga
CUSTOM_ROOTFS = rootfs.tar.gz

Your custom doctor file will be created at build/build-att-pixiplus-2.1.0/webosdoctorp121ewwatt-2.1.0.jar

Unpacking if needed webOS Doctors
Not prepared for webOS 2.1.0 build extract
Please create 210 directory under pixiplus-p121eww-att-1.4.5
mcbeav@mcbeav-laptop:~/meta-doctor$ sudo mkdir -p pixiplus-p121eww-att-1.4.5/210mcbeav@mcbeav-laptop:~/meta-doctor$ ./scripts/build-att-pixiplus-2.1.0
Due to changes made to HP Cloud Services, this script may no longer work.
DEVICE = pixiplus
CARRIER = att
VERSION = 1.4.5
CUSTOM_WEBOS_TARBALL = webOS.tar
CUSTOM_CARRIER_TARBALL = carrier.tar
CUSTOM_XML = pixie.xml
CUSTOM_BUILD_INFO = palm-build-info
CUSTOM_WEBOS_DMSET = 312
CUSTOM_CARRIER_DMSET = 674
CUSTOM_BOOTLOGO = scripts/BootLogo.tga
CUSTOM_ROOTFS = rootfs.tar.gz

Your custom doctor file will be created at build/build-att-pixiplus-2.1.0/webosdoctorp121ewwatt-2.1.0.jar

Unpacking if needed webOS Doctors
Not prepared for webOS 2.1.0 build extract
Please create 210 directory under pixiplus-p121eww-att-1.4.5
mcbeav@mcbeav-laptop:~/meta-doctor$


Any ideas?

Thanks!
__________________


moto tacstar => kyocera k9 => samsung a460 => samsung n400 => nokia 3588i => samsung a920 => samsung a800 => samsung a940 => lg fusic => samsung instinct => pixi => pre => arrive => nexus s => veer => pre 2 =>pre 3 => hd7 => iphone 4s => nokia lumia 710 => nokia lumia 800 => samsung gs3 => blackberry bold 9650 => nokia lumia 900
mcbeaven is offline   Reply With Quote
Old 01/24/2013, 04:10 PM   #267 (permalink)
Member
 
Posts: 1,579
Quote:
Originally Posted by smcbeaven View Post
Thanks, i guess i misunderstood the original post

...

I then ran the script
./scripts/build-att-pixiplus-2.1.0
It went through the motions of downloading all of the doctors and it came to a point where it told me to create the directory 210 under pixiplus-p121eww-att-1.4.5

Next I mkdir -p pixiplus-p121eww-att-1.4.5/210

then i re-ran the script
once again it repeated the issue and told me i needed to create the directory 210, and everytime i run the first script it just keeps telling me to create the directory
the directory exists, I can't get past that part, below is what happens.
...

Any ideas?

Thanks!
The directory is under the build directory, so cd build, then mkdir -p pixiplus-p121eww-att-1.4.5/210
then copy the tar files you had brought down from Nuttybunnys site... to this new directory you just created...

Hope that helps...
John Steffes is offline   Reply With Quote
Liked by smcbeaven likes this.
Thanked By: smcbeaven
Old 01/25/2013, 07:38 PM   #268 (permalink)
Member
 
Posts: 178
Quote:
Originally Posted by John Steffes View Post
The directory is under the build directory, so cd build, then mkdir -p pixiplus-p121eww-att-1.4.5/210
then copy the tar files you had brought down from Nuttybunnys site... to this new directory you just created...

Hope that helps...
Thanks a ton for all of the help, i read the instructions over and over, but i guess i just didn't get it, thanks again i really appreciate it.
__________________


moto tacstar => kyocera k9 => samsung a460 => samsung n400 => nokia 3588i => samsung a920 => samsung a800 => samsung a940 => lg fusic => samsung instinct => pixi => pre => arrive => nexus s => veer => pre 2 =>pre 3 => hd7 => iphone 4s => nokia lumia 710 => nokia lumia 800 => samsung gs3 => blackberry bold 9650 => nokia lumia 900
mcbeaven is offline   Reply With Quote
Old 10/07/2013, 01:34 PM   #269 (permalink)
Member
 
Posts: 10
Ressurrecting the thread again!

Hi, I just bought a pixi plus about a week now. It's labeled as AT&T and I doctored it with the AT&T 1.4.5 doctor as just as received it and all worked well.

I then stumbled on this thread and read all the 14 pages.

As I'm outside the United States (In fact I'm in Brazil) but using the AT&T Pixi, a doubt came to my mind: Should I use the AT&T or the WR Doctor and scripts to try to build a very mine 2.1 Doctor?

Once finished, I can just use this doctor do flash webOS 2.1 on my Pixi, just as used to do with the original 1.4.5 doctor?

Thanks for your great work, for your kindness in reppling and sorry for my noobness as well as my poor english.
harlleysathler is offline   Reply With Quote
Old 10/07/2013, 02:52 PM   #270 (permalink)
Member
 
Posts: 1,579
Quote:
Originally Posted by harlleysathler View Post
Ressurrecting the thread again!

Hi, I just bought a pixi plus about a week now. It's labeled as AT&T and I doctored it with the AT&T 1.4.5 doctor as just as received it and all worked well.

I then stumbled on this thread and read all the 14 pages.

As I'm outside the United States (In fact I'm in Brazil) but using the AT&T Pixi, a doubt came to my mind: Should I use the AT&T or the WR Doctor and scripts to try to build a very mine 2.1 Doctor?

Once finished, I can just use this doctor do flash webOS 2.1 on my Pixi, just as used to do with the original 1.4.5 doctor?

Thanks for your great work, for your kindness in reppling and sorry for my noobness as well as my poor english.
The Doctor does not matter, what matters is the tokens, the tokens should match the build used there are four Pixi scripts (meta doctor) one for AT&T is what you would want to use as it would use the AT&T doctor as the seed doctor so it would match the tokens.

You can always modify the script to remove the tokens checking and use whatever the script you want, but being in Brazil and not needing AT&T the WR script might be better, but I never tested that combination.
John Steffes is offline   Reply With Quote
Thanked By: jccjmml7
Old 10/07/2013, 02:55 PM   #271 (permalink)
Member
 
Posts: 10
Hi John,

Thanks for your repply. I will try to make the doctor as soon as I arrive at home tonight!
harlleysathler is offline   Reply With Quote
Old 10/07/2013, 03:07 PM   #272 (permalink)
Member
 
jccjmml7's Avatar
 
Posts: 184
Since this thread resurfaced I just wanted to thank you, Mr. Steffes, for the work that went into this.

I spent several hours to get 2.1 on a pixi+ that I had in the closet, and it is working very well!

My biggest issue was that my Ubuntu partition was too dang small, did not quite have the room for all of the different downloads needed to compile the final build.

BUT, I got it all done and with logging set to minimal and the sys opt patch it is actually quite usable.
Have only had maybe 2 lockups in a week total, and no real issues at all (aside from the usual behavior from a device with very little horsepower).
jccjmml7 is offline   Reply With Quote
Thanked By: John Steffes
Old 10/08/2013, 06:39 PM   #273 (permalink)
Member
 
Posts: 10
Hi John,

Just followed your guide and the script instructions and now I have a new doctor!

Now is it just a matter of running this Doctor? If, for any reason, I decide to go back to 1.4.5 can I just run it's doctor again?

Thanks again!
harlleysathler is offline   Reply With Quote
Old 10/08/2013, 07:56 PM   #274 (permalink)
Member
 
Posts: 1,579
Quote:
Originally Posted by harlleysathler View Post
Hi John,

Just followed your guide and the script instructions and now I have a new doctor!

Now is it just a matter of running this Doctor? If, for any reason, I decide to go back to 1.4.5 can I just run it's doctor again?

Thanks again!
Yes, the webOS 1.4.5.x doctor can always be ran (it will remove the webOS 2.x file system) and re build a webOS 1.4.5.x file system (from my testing however YMMV)...

I have found that however the Palm Profile can not go back without loosing all the data... one must go into the backup under webOS 2.x and disable and remove all webOS 2.x backups...

But you can then always go forward later if you wanted to...
John Steffes is offline   Reply With Quote
Old 10/08/2013, 08:16 PM   #275 (permalink)
Member
 
Posts: 10
Hi again!

Thank you very much for your help and specially for this great work!

I runed the Doctor and now I have a great Pixi Plus running WebOS 2.1.0!

The speed is ok. Seems to be faster than it was in 1.4.5.

You mentioned along the thread that you have a restart task scheduled. How to do it?

Is there the need to install Govnah? If so, what's the configurations you suggest?

Any other thing I should install or do?

Thanks again!
harlleysathler is offline   Reply With Quote
Thanked By: John Steffes
Old 12/09/2013, 10:15 PM   #276 (permalink)
pivotCE Developer
 
Alan Morford's Avatar
 
Posts: 1,098
It took me a day to get my laptop dualbooted with Ubuntu....UEFI issues...don't get me started. Then it took me about 30 minutes to find the two files I needed. After that, no problem! Currently booted into 2.1.0 and testing it out. Awesome. Thanks John!
__________________
Follow me on Twitter
For the latest webOS news check out pivotCE

Last edited by Alan Morford; 12/09/2013 at 10:29 PM.
Alan Morford is offline   Reply With Quote
Thanked By: John Steffes
Old 12/13/2013, 09:47 PM   #277 (permalink)
Member
 
Posts: 24
those using pixi+ with 2.1, does mojowhatsup work ?
blackylol is offline   Reply With Quote
Old 12/14/2013, 03:20 AM   #278 (permalink)
Homebrew Developer

 
Posts: 2,400
Quote:
those using pixi+ with 2.1, does mojowhatsup work ?
I think MojoWhatsUp is ARMv7 only and Pixi is ARMv6 so I think it doesn't


-- Sent from my TouchPad using Communities
__________________
HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
Herrie is online now   Reply With Quote
Old 12/14/2013, 10:34 AM   #279 (permalink)
Member
 
Posts: 1,579
Quote:
Originally Posted by blackylol View Post
those using pixi+ with 2.1, does mojowhatsup work ?
Quote:
Originally Posted by Herrie View Post
I think MojoWhatsUp is ARMv7 only and Pixi is ARMv6 so I think it doesn't


-- Sent from my TouchPad using Communities
I do not use the App, but I know it required webOS 2.x, I installed the version 1.5.5 of the app checked for updates and it did tell me there was an update to 1.6.7, funny Preware feeds only has 1.6.5, downloaded from github 1.6.7 and it appears to work but as I do not use it I can not tell you if it works...

Last edited by John Steffes; 12/14/2013 at 11:10 AM.
John Steffes is offline   Reply With Quote
Old 04/13/2014, 11:28 AM   #280 (permalink)
Member
 
Posts: 15
Buenos días con esta actualización el Pixi Plus queda 100% funcional y si alguien tienes los pasos en español gracias
tutoblade is offline   Reply With Quote
Reply

 

Thread Tools
Display Modes



 


Content Relevant URLs by vBSEO 3.6.0